Trying to build an openstack micro bosh stemcell and towards the end it
fails because it can't find `agent_client` which seems like it might be
because it can't find `mime-types-1.18` ... which might be because
mime-types is now at 1.19, which as you can see was installed just prior.

Fetching source index for http://rubygems.org/
Installing rake (0.9.2.2)
Installing httpclient (2.3.0.1)
Installing yajl-ruby (1.1.0) with native extensions
Installing agent_client (0.1.1)
Installing archive-tar-minitar (0.5.2)
Installing builder (3.0.0)
Installing mime-types (1.19)
Installing xml-simple (1.1.2)
Installing aws-s3 (0.6.3)
Installing multi_json (1.1.0)
Installing log4r (1.1.10)
Installing ruby-hmac (0.4.0)
Installing ruby-atmos-pure (1.0.5)
Installing uuidtools (2.1.3)
Installing blobstore_client (0.3.13)
Installing ci_reporter (1.7.0)
Installing columnize (0.3.6)
Installing diff-lcs (1.1.3)
Installing ruby_core_source (0.1.5)
Installing linecache19 (0.5.12) with native extensions
Installing trollop (1.16.2)
Using package_compiler (0.2.0) from source at
/var/vcap/bosh/src/micro_bosh/package_compiler
Installing rspec-core (2.10.0)
Installing rspec-expectations (2.10.0)
Installing rspec-mocks (2.10.1)
Installing rspec (2.10.0)
Installing ruby-debug-base19 (0.11.25) with native extensions
Installing ruby-debug19 (0.11.6)
Installing simplecov-html (0.5.3)
Installing simplecov (0.6.1)
Installing simplecov-rcov (0.2.3)
Using bundler (1.0.10)
Updating .gem files in vendor/cache
* httpclient-2.3.0.1.gem
* mime-types-1.19.gem
* xml-simple-1.1.2.gem
* aws-s3-0.6.3.gem
* uuidtools-2.1.3.gem
Removing outdated .gem files from vendor/cache
* httpclient-2.2.4.gem
* uuidtools-2.1.2.gem
* aws-s3-0.6.2.gem
* mime-types-1.18.gem
* xml-simple-1.1.1.gem
Your bundle is complete! It was installed into
/var/vcap/bosh/src/micro_bosh/bosh/gems
Starting micro bosh compilation
Starting BOSH Agent for compiling micro bosh package, agent pid is 2059
Invalid gemspec in
[/var/vcap/bosh/gems/ruby/1.9.1/specifications/sigar-0.7.2.gemspec]:
invalid date format in specification: "2012-03-26 00:00:00.000000000Z"
Invalid gemspec in
[/var/vcap/bosh/gems/ruby/1.9.1/specifications/blobstore_client-0.3.13.gemspec]:
invalid date format in specification: "2012-03-23 00:00:00.000000000Z"
Invalid gemspec in
[/var/vcap/bosh/gems/ruby/1.9.1/specifications/tilt-1.3.3.gemspec]: invalid
date format in specification: "2011-08-25 00:00:00.000000000Z"
Invalid gemspec in
[/var/vcap/bosh/gems/ruby/1.9.1/specifications/mime-types-1.18.gemspec]:
invalid date format in specification: "2012-03-21 00:00:00.000000000Z"
Could not find mime-types-1.18 in any of the sources
Invalid gemspec in
[/var/vcap/bosh/src/micro_bosh/bosh/gems/ruby/1.9.1/specifications/ci_reporter-1.7.0.gemspec]:
invalid date format in specification: "2012-01-29 00:00:00.000000000Z"
Invalid gemspec in
[/var/vcap/bosh/src/micro_bosh/bosh/gems/ruby/1.9.1/specifications/blobstore_client-0.3.13.gemspec]:
invalid date format in specification: "2012-03-23 00:00:00.000000000Z"
Invalid gemspec in
[/var/vcap/bosh/src/micro_bosh/bosh/gems/ruby/1.9.1/specifications/agent_client-0.1.1.gemspec]:
invalid date format in specification: "2012-03-13 00:00:00.000000000Z"
sh: git: not found
sh: git: not found
sh: git: not found
sh: git: not found
Could not find gem 'agent_client (~> 0.1.1)', required by
'package_compiler', in any of the sources

cp: cannot stat
`/var/tmp/bosh/agent-0.6.7-20108/work/work/chroot//var/vcap/micro/apply_spec.yml':
No such file or directory

Search Discussions

  • Martin Englund at Nov 7, 2012 at 11:42 pm
    Jeff,

    you need this change:
    https://github.com/cloudfoundry/bosh/commit/16bd9e9fc68cc94297eca0477cbc2c495a717cf8

    do a "git pull" and try again

    Cheers,
    /Martin
    On Wed, Nov 7, 2012 at 3:28 PM, Jeff Lindsay wrote:
    Trying to build an openstack micro bosh stemcell and towards the end it
    fails because it can't find `agent_client` which seems like it might be
    because it can't find `mime-types-1.18` ... which might be because
    mime-types is now at 1.19, which as you can see was installed just prior.

    Fetching source index for http://rubygems.org/
    Installing rake (0.9.2.2)
    Installing httpclient (2.3.0.1)
    Installing yajl-ruby (1.1.0) with native extensions
    Installing agent_client (0.1.1)
    Installing archive-tar-minitar (0.5.2)
    Installing builder (3.0.0)
    Installing mime-types (1.19)
    Installing xml-simple (1.1.2)
    Installing aws-s3 (0.6.3)
    Installing multi_json (1.1.0)
    Installing log4r (1.1.10)
    Installing ruby-hmac (0.4.0)
    Installing ruby-atmos-pure (1.0.5)
    Installing uuidtools (2.1.3)
    Installing blobstore_client (0.3.13)
    Installing ci_reporter (1.7.0)
    Installing columnize (0.3.6)
    Installing diff-lcs (1.1.3)
    Installing ruby_core_source (0.1.5)
    Installing linecache19 (0.5.12) with native extensions
    Installing trollop (1.16.2)
    Using package_compiler (0.2.0) from source at
    /var/vcap/bosh/src/micro_bosh/package_compiler
    Installing rspec-core (2.10.0)
    Installing rspec-expectations (2.10.0)
    Installing rspec-mocks (2.10.1)
    Installing rspec (2.10.0)
    Installing ruby-debug-base19 (0.11.25) with native extensions
    Installing ruby-debug19 (0.11.6)
    Installing simplecov-html (0.5.3)
    Installing simplecov (0.6.1)
    Installing simplecov-rcov (0.2.3)
    Using bundler (1.0.10)
    Updating .gem files in vendor/cache
    * httpclient-2.3.0.1.gem
    * mime-types-1.19.gem
    * xml-simple-1.1.2.gem
    * aws-s3-0.6.3.gem
    * uuidtools-2.1.3.gem
    Removing outdated .gem files from vendor/cache
    * httpclient-2.2.4.gem
    * uuidtools-2.1.2.gem
    * aws-s3-0.6.2.gem
    * mime-types-1.18.gem
    * xml-simple-1.1.1.gem
    Your bundle is complete! It was installed into
    /var/vcap/bosh/src/micro_bosh/bosh/gems
    Starting micro bosh compilation
    Starting BOSH Agent for compiling micro bosh package, agent pid is 2059
    Invalid gemspec in
    [/var/vcap/bosh/gems/ruby/1.9.1/specifications/sigar-0.7.2.gemspec]: invalid
    date format in specification: "2012-03-26 00:00:00.000000000Z"
    Invalid gemspec in
    [/var/vcap/bosh/gems/ruby/1.9.1/specifications/blobstore_client-0.3.13.gemspec]:
    invalid date format in specification: "2012-03-23 00:00:00.000000000Z"
    Invalid gemspec in
    [/var/vcap/bosh/gems/ruby/1.9.1/specifications/tilt-1.3.3.gemspec]: invalid
    date format in specification: "2011-08-25 00:00:00.000000000Z"
    Invalid gemspec in
    [/var/vcap/bosh/gems/ruby/1.9.1/specifications/mime-types-1.18.gemspec]:
    invalid date format in specification: "2012-03-21 00:00:00.000000000Z"
    Could not find mime-types-1.18 in any of the sources
    Invalid gemspec in
    [/var/vcap/bosh/src/micro_bosh/bosh/gems/ruby/1.9.1/specifications/ci_reporter-1.7.0.gemspec]:
    invalid date format in specification: "2012-01-29 00:00:00.000000000Z"
    Invalid gemspec in
    [/var/vcap/bosh/src/micro_bosh/bosh/gems/ruby/1.9.1/specifications/blobstore_client-0.3.13.gemspec]:
    invalid date format in specification: "2012-03-23 00:00:00.000000000Z"
    Invalid gemspec in
    [/var/vcap/bosh/src/micro_bosh/bosh/gems/ruby/1.9.1/specifications/agent_client-0.1.1.gemspec]:
    invalid date format in specification: "2012-03-13 00:00:00.000000000Z"
    sh: git: not found
    sh: git: not found
    sh: git: not found
    sh: git: not found
    Could not find gem 'agent_client (~> 0.1.1)', required by
    'package_compiler', in any of the sources

    cp: cannot stat
    `/var/tmp/bosh/agent-0.6.7-20108/work/work/chroot//var/vcap/micro/apply_spec.yml':
    No such file or directory


    --
    cheers,
    /Martin
    --
    Martin Englund, Staff Engineer, Cloud Foundry, VMware Inc.
    "The question is not if you are paranoid, it is if you are paranoid enough."
  • Jeff Lindsay at Nov 8, 2012 at 1:25 am
    Yeah, I was surprised I didn't have that commit. I was working with the
    bosh submodule of the latest bosh-release ... couldn't see how it would be
    pointing to anything different. But manually cloning the latest bosh master
    seemed to do the trick.

    On Wed, Nov 7, 2012 at 3:42 PM, Martin Englund wrote:

    Jeff,

    you need this change:

    https://github.com/cloudfoundry/bosh/commit/16bd9e9fc68cc94297eca0477cbc2c495a717cf8

    do a "git pull" and try again

    Cheers,
    /Martin
    On Wed, Nov 7, 2012 at 3:28 PM, Jeff Lindsay wrote:
    Trying to build an openstack micro bosh stemcell and towards the end it
    fails because it can't find `agent_client` which seems like it might be
    because it can't find `mime-types-1.18` ... which might be because
    mime-types is now at 1.19, which as you can see was installed just prior.

    Fetching source index for http://rubygems.org/
    Installing rake (0.9.2.2)
    Installing httpclient (2.3.0.1)
    Installing yajl-ruby (1.1.0) with native extensions
    Installing agent_client (0.1.1)
    Installing archive-tar-minitar (0.5.2)
    Installing builder (3.0.0)
    Installing mime-types (1.19)
    Installing xml-simple (1.1.2)
    Installing aws-s3 (0.6.3)
    Installing multi_json (1.1.0)
    Installing log4r (1.1.10)
    Installing ruby-hmac (0.4.0)
    Installing ruby-atmos-pure (1.0.5)
    Installing uuidtools (2.1.3)
    Installing blobstore_client (0.3.13)
    Installing ci_reporter (1.7.0)
    Installing columnize (0.3.6)
    Installing diff-lcs (1.1.3)
    Installing ruby_core_source (0.1.5)
    Installing linecache19 (0.5.12) with native extensions
    Installing trollop (1.16.2)
    Using package_compiler (0.2.0) from source at
    /var/vcap/bosh/src/micro_bosh/package_compiler
    Installing rspec-core (2.10.0)
    Installing rspec-expectations (2.10.0)
    Installing rspec-mocks (2.10.1)
    Installing rspec (2.10.0)
    Installing ruby-debug-base19 (0.11.25) with native extensions
    Installing ruby-debug19 (0.11.6)
    Installing simplecov-html (0.5.3)
    Installing simplecov (0.6.1)
    Installing simplecov-rcov (0.2.3)
    Using bundler (1.0.10)
    Updating .gem files in vendor/cache
    * httpclient-2.3.0.1.gem
    * mime-types-1.19.gem
    * xml-simple-1.1.2.gem
    * aws-s3-0.6.3.gem
    * uuidtools-2.1.3.gem
    Removing outdated .gem files from vendor/cache
    * httpclient-2.2.4.gem
    * uuidtools-2.1.2.gem
    * aws-s3-0.6.2.gem
    * mime-types-1.18.gem
    * xml-simple-1.1.1.gem
    Your bundle is complete! It was installed into
    /var/vcap/bosh/src/micro_bosh/bosh/gems
    Starting micro bosh compilation
    Starting BOSH Agent for compiling micro bosh package, agent pid is 2059
    Invalid gemspec in
    [/var/vcap/bosh/gems/ruby/1.9.1/specifications/sigar-0.7.2.gemspec]: invalid
    date format in specification: "2012-03-26 00:00:00.000000000Z"
    Invalid gemspec in
    [/var/vcap/bosh/gems/ruby/1.9.1/specifications/blobstore_client-0.3.13.gemspec]:
    invalid date format in specification: "2012-03-23 00:00:00.000000000Z"
    Invalid gemspec in
    [/var/vcap/bosh/gems/ruby/1.9.1/specifications/tilt-1.3.3.gemspec]: invalid
    date format in specification: "2011-08-25 00:00:00.000000000Z"
    Invalid gemspec in
    [/var/vcap/bosh/gems/ruby/1.9.1/specifications/mime-types-1.18.gemspec]:
    invalid date format in specification: "2012-03-21 00:00:00.000000000Z"
    Could not find mime-types-1.18 in any of the sources
    Invalid gemspec in
    [/var/vcap/bosh/src/micro_bosh/bosh/gems/ruby/1.9.1/specifications/ci_reporter-1.7.0.gemspec]:
    invalid date format in specification: "2012-01-29 00:00:00.000000000Z"
    Invalid gemspec in
    [/var/vcap/bosh/src/micro_bosh/bosh/gems/ruby/1.9.1/specifications/blobstore_client-0.3.13.gemspec]:
    invalid date format in specification: "2012-03-23 00:00:00.000000000Z"
    Invalid gemspec in
    [/var/vcap/bosh/src/micro_bosh/bosh/gems/ruby/1.9.1/specifications/agent_client-0.1.1.gemspec]:
    invalid date format in specification: "2012-03-13 00:00:00.000000000Z"
    sh: git: not found
    sh: git: not found
    sh: git: not found
    sh: git: not found
    Could not find gem 'agent_client (~> 0.1.1)', required by
    'package_compiler', in any of the sources

    cp: cannot stat
    `/var/tmp/bosh/agent-0.6.7-20108/work/work/chroot//var/vcap/micro/apply_spec.yml':
    No such file or directory


    --
    cheers,
    /Martin
    --
    Martin Englund, Staff Engineer, Cloud Foundry, VMware Inc.
    "The question is not if you are paranoid, it is if you are paranoid
    enough."


    --
    Jeff Lindsay
    http://progrium.com

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupbosh-dev @
postedNov 7, '12 at 11:28p
activeNov 8, '12 at 1:25a
posts3
users2

2 users in discussion

Jeff Lindsay: 2 posts Martin Englund: 1 post

People

Translate

site design / logo © 2021 Grokbase